/*    
    PowerDVD Plugin for ATI Remote Wonder
    Copyright 2002-2003 Jonathan Zarate

    This program is free software; you can redistribute it and/or modify it
	under the terms of the GNU General Public License as published by the
	Free Software Foundation; either version 2 of the License, or (at your
	option) any later version.

    This program is distributed in the hope that it will be useful, but
	WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
	or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
	for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software Foundation,
	Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "stdafx.h"
#include "ActionCodes.h"

CActionCode ActionCodes[] = 
{
	{"[RemoteWonder Default]",	ACT_NONE},
	{"[Do Nothing]",			ACT_IGNORE},

	{"Menu: Title",			ACT_MENUTITLE},
	{"Menu: Root",			ACT_MENUROOT},
	{"Menu: Subtitles",		ACT_MENUSUBTITLES},
	{"Menu: Audio",			ACT_MENUAUDIO},
	{"Menu: Angle",			ACT_MENUANGLE},
	{"Menu: Chapter",		ACT_MENUCHAPTER},

	{"Resume",				ACT_RESUME},

	{"Play/Select",			ACT_PLAY},
	{"Stop",				ACT_STOP},
	{"Pause",				ACT_PAUSE},
	{"Fast Forward",		ACT_FASTFORWARD},
	{"Rewind",				ACT_REWIND},
	{"Fast Forward 5s",		ACT_FORWARD5},
	{"Rewind 5s",			ACT_BACKWARD5},
	{"Previous Chapter",	ACT_CHAPTERPREV},
	{"Next Chapter",		ACT_CHAPTERNEXT},
	{"Step Forward",		ACT_STEPFORWARD},
	{"Step Back",			ACT_STEPBACK},

	{"Audio Channel (L/R) Select", ACT_KARAOKE},
	{"Audio Select",		ACT_AUDIO},
	{"Subtitle Select",		ACT_SUBTITLE},
	{"Angle Select",		ACT_ANGLE},

	{"Volume +",			ACT_VOLUMEUP},
	{"Volume -",			ACT_VOLUMEDOWN},
	{"Volume Mute",			ACT_VOLUMEMUTE},

	{"Mixer Volume +",		ACT_MIXVOLUP},
	{"Mixer Volume -",		ACT_MIXVOLDN},
	{"Mixer Volume Mute",	ACT_MIXVOLMUTE},

	{"0",					ACT_0},
	{"1",					ACT_1},
	{"2",					ACT_2},
	{"3",					ACT_3},
	{"4",					ACT_4},
	{"5",					ACT_5},
	{"6",					ACT_6},
	{"7",					ACT_7},
	{"8",					ACT_8},
	{"9",					ACT_9},

	{"Up",					ACT_UP},
	{"Down",				ACT_DOWN},
	{"Left",				ACT_LEFT},
	{"Right",				ACT_RIGHT},
	{"Return",				ACT_RETURN},

	{"Full Screen",			ACT_FULLSCREEN},
	{"Minimize",			ACT_MINIMIZE},
	{"Skin Mode",			ACT_SKINMODE},
	{"Show Keypad",			ACT_KEYPAD},
	{"Exit PowerDVD",		ACT_EXIT},

	{"Add Bookmark",		ACT_ADDBOOKMARK},
	{"Show Bookmark",		ACT_SHOWBOOKMARK},

	{"Eject",				ACT_EJECT},
	{"Open File/Disc Select",	ACT_OPEN},

	{"Repeat A-B",			ACT_REPEATAB},
	{"Repeat Mode",			ACT_REPEATMODE},

	{"Capture Frame",		ACT_CAPTURE},

	{"Configuration",		ACT_CONFIG},

	{"Plugin: Setup",		ACT_PLUGINSETUP},

	{NULL, NULL}
};
